<form autocomplete="off" #createInstructorModal="ngForm" (ngSubmit)="save()">
    <h1 mat-dialog-title>{{ "CreateNewinstructor" | localize }}</h1>
    <mat-dialog-content style="width:800px;height:300px;">
      <mat-tab-group>
        <mat-tab [label]="'InstructorDetails' | localize">
          <br />
          <div class="row-fluid">
            <div class="col-md-6">
              <mat-form-field>
                <input
                  matInput
                  name="firstName"
                  [placeholder]="'FirstName' | localize"
                  [(ngModel)]="instructor.firstName"
                  required
                  minlength="3"
                  maxlength="50"
                />
              </mat-form-field>
              <mat-form-field>
                <input
                  matInput
                  name="Name"
                  [placeholder]="'lastName' | localize"
                  [(ngModel)]="instructor.lastName"
                  required
                  minlength="3"
                  maxlength="50"
                />
              </mat-form-field>
            </div>
            <div class="col-md-6">
                <mat-form-field>
                    <input
                        matInput
                        name="hireDate"
                        [placeholder]="'HireDate' | localize"
                        [(ngModel)]="instructor.hireDate"
                        [matDatepicker]="hireDate"
                    />
                    <mat-datepicker-toggle matSuffix [for]="hireDate"></mat-datepicker-toggle>
                    <mat-datepicker #hireDate></mat-datepicker>
                </mat-form-field>
            </div>
          </div>
        </mat-tab>
      </mat-tab-group>
    </mat-dialog-content>
    <div mat-dialog-actions align="end">
      <button mat-button type="button" [disabled]="saving" (click)="close(false)">
        {{ "Cancel" | localize }}
      </button>
      <button
        mat-flat-button
        type="submit"
        flex="15"
        color="primary"
        [disabled]="!createInstructorModal.form.valid || saving"
      >
        {{ "Save" | localize }}
      </button>
    </div>
  </form>
  